REST API 文档

💡 云策文档标注

概述

本文档详细介绍了 WordPress REST API 中区块修订(Block Revisions)的架构和端点操作。区块修订用于记录区块内容的变更历史,支持列表查询、检索、删除和自动保存等功能。

关键要点

  • 区块修订记录包含多个字段,如 author、date、content 等,每个字段都有 JSON 数据类型和上下文(如 view、edit、embed)。
  • 支持通过 GET /wp/v2/blocks/<parent>/revisions 端点列出区块修订,可使用参数如 context、page、orderby 进行过滤和排序。
  • 提供检索特定修订(GET /wp/v2/blocks/<parent>/revisions/<id>)、删除修订(DELETE /wp/v2/blocks/<parent>/revisions/<id>)和自动保存相关操作(如 GET /wp/v2/blocks/<id>/autosaves)。
  • 创建区块修订(POST /wp/v2/blocks/<id>/autosaves)时,可指定参数如 date、title、content 和 status。

代码示例

// 列出区块修订
$ curl https://example.com/wp-json/wp/v2/blocks/<parent>/revisions

// 检索特定区块修订
$ curl https://example.com/wp-json/wp/v2/blocks/<parent>/revisions/<id>

// 删除区块修订
$ curl -X DELETE https://example.com/wp-json/wp/v2/blocks/<parent>/revisions/<id>

// 检索自动保存
$ curl https://example.com/wp-json/wp/v2/blocks/<id>/autosaves

📄 原文内容

Schema

The schema defines all the fields that exist within a Block Revision record. Any response from these endpoints can be expected to contain the fields below unless the `_filter` query parameter is used or the schema field only appears in a specific context.

author The ID for the author of the revision.

JSON data type: integer

Context: view, edit, embed

date The date the revision was published, in the site's timezone.

JSON data type: string,
Format: datetime (details)

Context: view, edit, embed

date_gmt The date the revision was published, as GMT.

JSON data type: string,
Format: datetime (details)

Context: view, edit

guid The globally unique identifier for the post.

JSON data type: object

Read only

Context: view, edit

id Unique identifier for the revision.

JSON data type: integer

Context: view, edit, embed

modified The date the revision was last modified, in the site's timezone.

JSON data type: string,
Format: datetime (details)

Context: view, edit

modified_gmt The date the revision was last modified, as GMT.

JSON data type: string,
Format: datetime (details)

Context: view, edit

parent The ID for the parent of the revision.

JSON data type: integer

Context: view, edit, embed

slug An alphanumeric identifier for the revision unique to its type.

JSON data type: string

Context: view, edit, embed

title The title for the post.

JSON data type: object

Context: view, edit, embed

content The content for the post.

JSON data type: object

Context: view, edit

List Block Revisions

Query this endpoint to retrieve a collection of Block Revisions. The response you receive can be controlled and filtered using the URL query parameters below.

Definition

GET /wp/v2/blocks/<parent>/revisions

Example Request

$ curl https://example.com/wp-json/wp/v2/blocks/<parent>/revisions

Arguments

parent The ID for the parent of the revision.
context Scope under which the request is made; determines fields present in response.

Default: view

One of: view, embed, edit

page Current page of the collection.

Default: 1

per_page Maximum number of items to be returned in result set.
search Limit results to those matching a string.
exclude Ensure result set excludes specific IDs.
include Limit result set to specific IDs.
offset Offset the result set by a specific number of items.
order Order sort attribute ascending or descending.

Default: desc

One of: asc, desc

orderby Sort collection by object attribute.

Default: date

One of: date, id, include, relevance, slug, include_slugs, title

Retrieve a Block Revision

Definition & Example Request

GET /wp/v2/blocks/<parent>/revisions/<id>

Query this endpoint to retrieve a specific Block Revision record.

$ curl https://example.com/wp-json/wp/v2/blocks/<parent>/revisions/<id>

Arguments

parent The ID for the parent of the revision.
id Unique identifier for the revision.
context Scope under which the request is made; determines fields present in response.

Default: view

One of: view, embed, edit

Delete a Block Revision

Arguments

parent The ID for the parent of the revision.
id Unique identifier for the revision.
force Required to be true, as revisions do not support trashing.

Definition

DELETE /wp/v2/blocks/<parent>/revisions/<id>

Example Request

$ curl -X DELETE https://example.com/wp-json/wp/v2/blocks/<parent>/revisions/<id>

Retrieve a Block Revision

Definition & Example Request

GET /wp/v2/blocks/<id>/autosaves

Query this endpoint to retrieve a specific Block Revision record.

$ curl https://example.com/wp-json/wp/v2/blocks/<id>/autosaves

Arguments

parent The ID for the parent of the autosave.
context Scope under which the request is made; determines fields present in response.

Default: view

One of: view, embed, edit

Create a Block Revision

Arguments

<a href="#schema-parent">parent</a> The ID for the parent of the autosave.
<a href="#schema-date">date</a> The date the post was published, in the site's timezone.
<a href="#schema-date_gmt">date_gmt</a> The date the post was published, as GMT.
<a href="#schema-slug">slug</a> An alphanumeric identifier for the post unique to its type.
<a href="#schema-status">status</a> A named status for the post.
One of: publish, future, draft, pending, private
<a href="#schema-password">password</a> A password to protect access to the content and excerpt.
<a href="#schema-title">title</a> The title for the post.
<a href="#schema-content">content</a> The content for the post.
<a href="#schema-meta">meta</a> Meta fields.
<a href="#schema-template">template</a> The theme file to use to display the post.

Definition

POST /wp/v2/blocks/<id>/autosaves

Retrieve a Block Revision

Definition & Example Request

GET /wp/v2/blocks/<parent>/autosaves/<id>

Query this endpoint to retrieve a specific Block Revision record.

$ curl https://example.com/wp-json/wp/v2/blocks/<parent>/autosaves/<id>

Arguments

parent The ID for the parent of the autosave.
id The ID for the autosave.
context Scope under which the request is made; determines fields present in response.

Default: view

One of: view, embed, edit